Bug 129312 - Shutdown/Reboot spin up my disabled (with hdparm) harddisk
Shutdown/Reboot spin up my disabled (with hdparm) harddisk
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-06 08:29 EDT by Florian Erfurth
Modified: 2015-01-04 17:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:50:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Florian Erfurth 2004-08-06 08:29:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
I don't know, if it is a bug or it is my fault.
I disable my harddisk (in my case /dev/hda) of with hdparm, because I
really don't need it under Linux-System. On this harddisk is only
Windows-Partitions. MBR is stored in sda (SCSI-Harddisk, which I
boot). If I shutdown/reboot the System, I always get a Error, and my
Harddisk spin up. After spinup all Harddisk turned off (<-That is ok)
and PC shut down/restart.
In /etc/fstab is nothing about hda.
In /etc/smartd.conf I already removed the hda line.

I think, it would be great, if there is a bootparameter, which turns
of some (depend on bootparameter) harddisk and Linux will leave this
unused harddisk really alone.

Version-Release number of selected component (if applicable):
kernel-2.6.7

How reproducible:
Always

Steps to Reproduce:
1. "hdparm -d0 /dev/hda"
2. "hdparm -Y /dev/hda"
3a. "shutdown -h now"
3b. Press Power-Off-Button (I'm using ACPI) to shutdown PC.
3c. "reboot"
3d. Press <ctrl>+<alt>+<del> to reboot.

Actual Results:  I receive following lines at the end of Shutdown:
hda: irq timeout: status=0xd0 {Busy}
ide0: reset: success

This reset result a spinup of my Harddisk (hda). This is nonsense,
because after that all Harddisk will be turned off before system
halts/restarts.

Expected Results:  Leave the disabled harddisk alone (keep it off), if
there is really nothing to store/flush before turning harddisk off.

Additional info:
Comment 1 Dave Jones 2005-04-16 00:50:49 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.